> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Subject Document Template

> Send subject document template. Requires company-wide document management access and enforces subject and field access in the effective organization.

Not available to API keys yet. It will need `documents:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/send-subject-document-template
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/send-subject-document-template:
    post:
      operationId: sendSubjectDocumentTemplate
      summary: Send Subject Document Template
      description: >-
        Send subject document template. Requires company-wide document
        management access and enforces subject and field access in the effective
        organization.


        Not available to API keys yet. It will need `documents:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendSubjectDocumentTemplateRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendSubjectDocumentTemplateResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SendSubjectDocumentTemplateRequest:
      type: object
      properties:
        templateId:
          type: string
          format: uuid
        subjectIds:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 25
        requestId:
          type: string
          format: uuid
      required:
        - templateId
        - subjectIds
        - requestId
    SendSubjectDocumentTemplateResponse:
      type: object
      properties:
        versionNumber:
          type: integer
        results:
          type: array
          items:
            type: object
            properties:
              subjectId:
                type: string
              status:
                type: string
                enum:
                  - READY
                  - BLOCKED
                  - ACCEPTED
                  - ALREADY_SENT
                  - FAILED
              issues:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    message:
                      type: string
                    key:
                      type: string
                    role:
                      type: string
                      enum:
                        - recipient
                        - company
                    suggestions:
                      type: array
                      items:
                        type: string
                      maxItems: 3
                  required:
                    - code
                    - message
                    - suggestions
                maxItems: 1000
              instanceId:
                type:
                  - string
                  - 'null'
              correlationId:
                type:
                  - string
                  - 'null'
            required:
              - subjectId
              - status
              - issues
              - instanceId
          maxItems: 25
      required:
        - versionNumber
        - results
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
